%define upstream_name    Sys-Info
%define upstream_version 0.78

%{?perl_default_filter}
%global __requires_exclude perl\\(Sys::Info::Driver::OSX\\)

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
License:        GPL+ or Artistic
Summary:	Fetch information from the host system
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:	noarch

BuildRequires:	perl-devel
BuildRequires:	perl-Test-Sys-Info
BuildRequires:	perl-Sys-Info-Base
BuildRequires:	perl-Sys-Info-Driver-Linux
Requires:	perl-Sys-Info-Driver-Linux
Requires:	perl-Sys-Info-Base


%description
Perl for fetch system information from the host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.780.0-5.mga6
+ Revision: 1033593
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.780.0-4.mga6
+ Revision: 971585
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.780.0-3.mga6
+ Revision: 892095
- make it noarch thus fixing empty debuginfo

* Sat Jul 04 2015 sander85 <sander85> 0.780.0-2.mga6
+ Revision: 850084
- Fix requires

* Sat Jul 04 2015 sander85 <sander85> 0.780.0-1.mga6
+ Revision: 850079
- update to 0.78

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Sys-Info


* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 491169
- update to 0.73

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 484930
- import perl-Sys-Info


